org.apache.felix.gogo.runtime.activator

## Class EventAdminListener

- java.lang.Object
- - org.apache.felix.gogo.runtime.activator.EventAdminListener

All Implemented Interfaces:
  CommandSessionListener

    public class EventAdminListener
    extends Object
    implements CommandSessionListener

### Constructor Summary

Constructors
Constructor and Description
`EventAdminListener(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterExecute(CommandSession session, CharSequence command, Exception exception)`
`void` `afterExecute(CommandSession session, CharSequence command, Object result)`
`void` `beforeExecute(CommandSession session, CharSequence command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventAdminListener

    public EventAdminListener(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### beforeExecute

    public void beforeExecute(CommandSession session,
                              CharSequence command)

Specified by:
  `beforeExecute` in interface `CommandSessionListener`

#### afterExecute

    public void afterExecute(CommandSession session,
                             CharSequence command,
                             Exception exception)

Specified by:
  `afterExecute` in interface `CommandSessionListener`

#### afterExecute

    public void afterExecute(CommandSession session,
                             CharSequence command,
                             Object result)

Specified by:
  `afterExecute` in interface `CommandSessionListener`